Texture Reference Management [DEPRECATED](3)

NAME
Texture Reference Management [DEPRECATED] - deprecated texture reference management functions of the low-level CUDA driver API (cuda.h)

  Functions

CUresult cuTexRefCreate (CUtexref *pTexRef)
Creates a texture reference.
CUresult cuTexRefDestroy (CUtexref hTexRef)
Destroys a texture reference.

Detailed Description

This section describes the deprecated texture reference management functions of the low-level CUDA driver application programming interface.

Function Documentation

  CUresult cuTexRefCreate (CUtexref * pTexRef)

Deprecated

Creates a texture reference and returns its handle in *pTexRef. Once created, the application must call cuTexRefSetArray() or cuTexRefSetAddress() to associate the reference with allocated memory. Other texture reference functions are used to specify the format and interpretation (addressing, filtering, etc.) to be used when the memory is read through this texture reference.

Parameters:
    pTexRef - Returned texture reference

Returns:
    CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

See also:
    cuTexRefDestroy

  CUresult cuTexRefDestroy (CUtexref hTexRef)

Deprecated

Destroys the texture reference specified by hTexRef.

Parameters:
    hTexRef - Texture reference to destroy

Returns:
    CUDA_SUCCESS, CUDA_ERROR_DEINITIALIZED, CUDA_ERROR_NOT_INITIALIZED, CUDA_ERROR_INVALID_CONTEXT, CUDA_ERROR_INVALID_VALUE

See also:
    cuTexRefCreate

Author

Generated automatically by Doxygen from the source code.